﻿@model PagedList.IPagedList<IdentityVerificationViewModel>
@{
    ViewBag.Title = "لیست درخواست های احراز هویت";
}

<div class="box box-info">
    <div class="box-header with-border">
        <h4 class="box-title">لیست کاربران</h4>
    </div>

    <div class="box-body pad">
        <div class="row">
            <div class="col-12">
                @Html.DataTables(
                    @<thead>
                         <tr>
                             <th style="width:10px;">
                                 @Html.DisplayNameFor(model => model.GetObject().Id)
                             </th>
                             <th>
                                 @Html.DisplayNameFor(model => model.GetObject().FirstName)
                             </th>
                             <th>
                                 @Html.DisplayNameFor(model => model.GetObject().LastName)
                             </th>
                             <th>
                                 @Html.DisplayNameFor(model => model.GetObject().UserName)
                             </th>
                             <th>
                                 @Html.DisplayNameFor(model => model.GetObject().Gender)
                             </th>
                             <th>
                                 @Html.DisplayNameFor(model => model.GetObject().BirthDate)
                             </th>
                             <th>
                                 @Html.DisplayNameFor(model => model.GetObject().VerificationMedia)
                             </th>
                             <th>
                                 <span>عملیات</span>
                             </th>
                         </tr>
                    </thead>,
            @<tbody>
                @foreach (var mod in Model)
                 {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => mod.Id)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => mod.FirstName)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => mod.LastName)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => mod.UserName)
                        </td>
                        <td>
                            @(mod.Gender.HasValue ? mod.Gender.Value ? "مرد" : "زن" : "معلوم نشده")
                        </td>
                        <td>
                            @(mod.BirthDate.HasValue ? mod.BirthDate.Value.ToFaDateTimeZone() : "مشخص نشده")
                        </td>
                        <td>
                            <img class="img-fluid" src="@mod.VerificationMedia.Thumbnails.ImgSrc("verify.large")"/>
                        </td>
                        <td>
                            <div class="btn-group">
                                @Html.ActionLink("مشاهده", "VerifySingle", new { id = mod.Id }, new { @class = "btn btn-secondary" })
                            </div>
                        </td>
                    </tr>
                 }
            </tbody>).Order(1, DataTabledOrder.Desc)
                <div class="text-center">
                    @Html.Partial("_Paging", Model)
                </div>
                @Html.CreateDeleteModal()
            </div>
        </div>
    </div>
</div>